import FunBtns from "./FunBtns";

const { ccclass, property } = cc._decorator;

@ccclass
export default class Game extends cc.Component {
    @property({ type: cc.Node, displayName: "游戏核心" })
    node_game: cc.Node = null;
    @property({ type: cc.Node, displayName: "功能按钮" })
    node_btn: cc.Node = null;

    onLoad() {
        mk.ui.closePanel("login");
    }

    start() {

        this.initBtns();
    }

    /**
     * 根据配置，添加开启的功能按钮
     */
    private initBtns() {
        let sc = this.node_btn.getComponent(FunBtns) as FunBtns;
        sc.init();
    }

    update() {

    }
}

